import { TransformInputOptions } from "metro";
import { ExtMetroConfig } from "../matrix-config/configTypes";
export declare const calcTransformerOptions: (config: ExtMetroConfig, options: TransformInputOptions) => Promise<{
    type: string;
    customTransformOptions: import("metro-babel-transformer").CustomTransformOptions | undefined;
    dev: boolean;
    hot: boolean;
    inlineRequires: boolean;
    inlinePlatform: boolean;
    minify: boolean;
    platform: string | undefined;
    runtimeBytecodeVersion: number | undefined;
    unstable_transformProfile: import("metro-babel-transformer").TransformProfile;
} | {
    inlineRequires: boolean | {
        blockList: {
            [path: string]: true;
        };
    };
    experimentalImportSupport: boolean;
    unstable_disableES6Transforms: boolean;
    nonInlinedRequires: readonly string[];
    type: string;
    customTransformOptions: import("metro-babel-transformer").CustomTransformOptions | undefined;
    dev: boolean;
    hot: boolean;
    inlinePlatform: boolean;
    minify: boolean;
    platform: string | undefined;
    runtimeBytecodeVersion: number | undefined;
    unstable_transformProfile: import("metro-babel-transformer").TransformProfile;
}>;
